%global dlrn_nvr tripleo-common-15.4.1.dev169-1.20230518205252.cbb03c0
%global dlrn 1
%define upstream_version 15.4.1.dev169
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x01527a34f0d0080f8a5db8d6eb6c5df21b4b6363
# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-common

%global common_desc Python library for code used by TripleO projects.

%{?!_licensedir:%global license %%doc}

Name:           openstack-tripleo-common
Summary:        Python library for code used by TripleO projects.
Version: 15.4.1
Release: 1.20230518205257%{?dist}
License:        ASL 2.0
URL:            https://github.com/rdo-management/tripleo-common

Source0: tripleo-common-15.4.1.dev169-1.20230518205252.cbb03c0.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=cbb03c005727a6226757951df4cbc341acf7baa7
Patch0001: 0001-DOWNSTREAM-ONLY-Update-container_image_prepare_defau.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Update-container-images-tripleo_cont.patch
Patch0003: 0003-Remove-workaround-for-nettle-on-tcib-base-image.patch
Patch0004: 0004-DOWNSTREAM-ONLY-Fix-wrong-ceph-container-tags.patch
Patch0005: 0005-Ensure-non-empty-DIB_BOOTLOADER_DEFAULT_CMDLINE.patch
Patch0006: 0006-Add-NovaLibvirtLegacy-to-tripleo_containers.yaml.j2.patch
Patch0007: 0007-Use-nova-libvirt-image-for-LibvirtConfig.patch
Patch0008: 0008-Disable-pam_loguinuid-for-crond.patch
Patch0009: 0009-Handle-different-format-in-expires_at-field.patch
Patch0010: 0010-Do-pagination-when-getting-continer-image-tags.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{upstream_name}/%{upstream_name}-%{version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core
BuildRequires:  openstack-macros

Requires: golang-github-vbatts-tar-split >= 0.11.1
Requires: skopeo
Requires: (python3dist(ansible) >= 2.9.10 or ansible-core)
# Ansible roles used by TripleO
Requires: ansible-role-container-registry
Requires: ansible-role-tripleo-modify-image
Requires: ansible-pacemaker
Requires: ansible-tripleo-ipa
Requires: ansible-tripleo-ipsec
%if 0%{rhosp} == 1
Requires: ansible-role-redhat-subscription
%endif

Requires: buildah

Requires: %{name}-containers = %{version}-%{release}
Requires: python3-%{upstream_name} = %{version}-%{release}

Provides:  tripleo-common = %{version}-%{release}
Obsoletes: tripleo-common < %{version}-%{release}

%description
%{common_desc}

%package -n python3-%{upstream_name}
Summary:        Python library for code used by TripleO projects.

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-eventlet
BuildRequires:  python3-pbr
BuildRequires:  python3-cryptography
BuildRequires:  python3-GitPython
BuildRequires:  python3-fixtures
BuildRequires:  python3-glanceclient
BuildRequires:  python3-heatclient
BuildRequires:  python3-ironicclient
BuildRequires:  python3-ironic-inspector-client
BuildRequires:  python3-jinja2
BuildRequires:  python3-metalsmith
BuildRequires:  python3-novaclient
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-rootwrap
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-paramiko
BuildRequires:  python3-passlib
BuildRequires:  python3-requests-mock
BuildRequires:  python3-swiftclient
BuildRequires:  python3-tenacity
BuildRequires:  python3-testtools
BuildRequires:  python3-yaml
BuildRequires:  python3-ansible-runner
BuildRequires:  python3-stestr

Requires: python3-GitPython
Requires: python3-jinja2
Requires: python3-glanceclient >= 1:2.8.0
Requires: python3-heatclient >= 1.10.0
Requires: python3-ironic-inspector-client >= 1.5.0
Requires: python3-ironicclient >= 2.3.0
Requires: python3-keystoneclient
Requires: python3-novaclient >= 1:9.1.0
Requires: python3-metalsmith >= 0.13.0
Requires: python3-netaddr
Requires: python3-netifaces
Requires: python3-oslo-concurrency >= 3.26.0
Requires: python3-oslo-config >= 2:5.2.0
Requires: python3-oslo-log >= 3.36.0
Requires: python3-oslo-rootwrap >= 5.8.0
Requires: python3-oslo-utils >= 3.33.0
Requires: python3-six >= 1.10.0
Requires: python3-passlib >= 1.7.0
Requires: python3-keystoneauth1 >= 3.4.0
Requires: python3-pbr >= 2.0.0
Requires: python3-paramiko
Requires: python3-eventlet >= 0.20.0
Requires: python3-jsonschema >= 3.2.0
Requires: python3-requests >= 2.18.0
Requires: python3-tenacity >= 6.1.0
Requires: python3-cryptography
Requires: python3-ansible-runner >= 1.4.4


%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
%{common_desc}

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{upstream_name}-%{upstream_version} -S git
rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{py3_build}

%install
%{py3_install}

# TODO remove this when https://review.openstack.org/#/c/591346/ merges
touch %{buildroot}%{_bindir}/create_freeipa_enroll_envfile.py

# TODO remove this when https://review.openstack.org/#/c/675136/ merges
touch %{buildroot}%{_bindir}/tripleo-deploy-openshift

if [ -d %{buildroot}/%{_datadir}/%{upstream_name} ]; then
  mv %{buildroot}/%{_datadir}/%{upstream_name} %{buildroot}/%{_datadir}/%{name}
else
  # Before https://review.openstack.org/#/c/327830/3/setup.cfg
  mkdir -p %{buildroot}/%{_datadir}/%{name}
  if [ -d image-yaml ]; then
    install -d -m 755 %{buildroot}/%{_datadir}/%{name}
    cp -ar image-yaml %{buildroot}/%{_datadir}/%{name}
  fi
fi
ln -s %{name} %{buildroot}%{_datadir}/%{upstream_name}

if [ -d healthcheck ]; then
  cp -ar healthcheck %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/healthcheck
fi

mkdir -p %{buildroot}/%{_datadir}/%{name}-containers
mv %{buildroot}/%{_datadir}/%{name}/container-images %{buildroot}/%{_datadir}/%{name}-containers/
# compat symlink
ln -s ../%{name}-containers/container-images  %{buildroot}/%{_datadir}/%{name}/

if [ -d heat_docker_agent ]; then
  cp -ar heat_docker_agent %{buildroot}/%{_datadir}/%{name}/
else
  mkdir -p %{buildroot}/%{_datadir}/%{name}/heat_docker_agent
fi

# TODO(aschultz): remove once this once the file is removed from tripleo-common
if [ -f sudoers ] ; then
  rm -rf sudoers
fi

if [ -f %{buildroot}%{_bindir}/upgrade-non-controller.sh ]; then
  rm -rf %{buildroot}%{_bindir}/upgrade-non-controller.sh
fi

%check
export PYTHON=%{__python3}
stestr run

%package containers
Summary: Files for building TripleO containers

%description containers
This package installs the files used to build containers for TripleO.

%package container-base
Summary: Package for the TripleO base container image
Requires: crudini
Requires: curl
Requires: hostname
Requires: iproute
Requires: lsof
Requires: procps-ng
Requires: puppet
# (bandini) ruby3 split out rexml to a rubygem, some puppet modules need this
%if 0%{?rhel} > 8
Requires: rubygem-rexml
%endif
Requires: sudo

%description container-base
This package installs the dependencies and files which are required on the base
TripleO container image.

%package devtools
Summary: A collection of tools for TripleO developers and CI
Requires: %{name} = %{version}-%{release}

%description devtools
This package installs the TripleO tools for developers and CI that typically
don't fit in a product.

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{_prefix}/lib/heat/undercloud_heat_plugins
%{_datadir}/%{name}
%{_datadir}/%{upstream_name}

%files -n python3-%{upstream_name}
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python3_sitelib}/tripleo_common*
%exclude %{python3_sitelib}/tripleo_common/test*
%exclude %{_bindir}/run-validation
%exclude %{_bindir}/tripleo-container-image-prepare
%{_bindir}/tripleo-build-images
%{_bindir}/upload-puppet-modules
%{_bindir}/upload-swift-artifacts
%{_bindir}/upload-artifacts
%{_bindir}/tripleo-config-download
%{_bindir}/tripleo-mount-image
%{_bindir}/tripleo-unmount-image
%if 0%{rhosp} == 0
%{_bindir}/tripleo-deploy-openshift
%else
%exclude %{_bindir}/tripleo-deploy-openshift
%endif
%{_bindir}/create_freeipa_enroll_envfile.py

%files containers
%{_datadir}/%{name}-containers/container-images

%files container-base
%{_bindir}/bootstrap_host_exec
%{_bindir}/bootstrap_host_only_eval
%{_bindir}/bootstrap_host_only_exec
%{_datadir}/%{name}/healthcheck

%files devtools
%{_bindir}/pull-puppet-modules

%changelog
* Wed Aug 30 2023 Miguel Garcia <migarcia@redhat.com> 15.4.1-1.20230518205257
- Do pagination when getting continer image tags (rhbz#2224940)
- Handle different format in expires_at field (rhbz#2230768)

* Fri Jul 14 2023 Miguel Garcia <mgarciac@redhat.com> 15.4.1-1.20230518205256
- Disable pam_loguinuid for crond (rhbz#2219765)

* Tue Jul 11 2023 Miguel Garcia <mgarciac@redhat.com> 15.4.1-1.20230518205255
- Use nova-libvirt image for LibvirtConfig (rhbz#2186553)

* Mon Jul 03 2023 Miguel Garcia <mgarciac@redhat.com> 15.4.1-1.20230518205254
- Add NovaLibvirtLegacy to tripleo_containers.yaml.j2 (rhbz#2016660)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults

* Fri Jun 02 2023 Jon Schlueter <jschluet@redhat.com> 15.4.1-1.20230518205253
- Ensure non-empty DIB_BOOTLOADER_DEFAULT_CMDLINE (rhbz#2179366)

* Thu May 18 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230518205252.cbb03c0
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Follow-up nova_migration user creation

* Thu May 18 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230518113958.6ae78ef
- Follow-up nova_migration user creation (rhbz#2181897)

* Sat May 13 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230514003955.6ae78ef
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Wire-in nova_migration kolla user creation

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230505015008.00bc21d
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Suppress console=tty0 in kernel arguments
- Avoid repeated console= kernel arguments
- Remove outdated kernel options
- Remove audit=1 as it can overflow before the service starts
- Support IPv6 for HTTP request
- Install grub2-efi, shim in ironic-pxe image
- Remove nomodeset from usage
- Inventory: Track seen nets, add/get new nets only

* Tue May 02 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230502183955.85a3a44
- Remove nomodeset from usage (rhbz#2179366)

* Thu Apr 27 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230427114000.85a3a44
- Inventory: Track seen nets, add/get new nets only (rhbz#2168551)

* Thu Apr 20 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230421004001.85a3a44
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Stop using dumb-init entry for nova-libvirt image

* Wed Apr 19 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230419203953.6865055
- [DOWNSTREAM-ONLY] Fix wrong ceph container tags (rhbz#2188012 rhbz#2111528)

* Sat Apr 15 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230416005246.6865055
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove container-tools module setting

* Wed Apr 12 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230413003951.5abea2d
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Pin nova_migration user/group for puppet configs

* Thu Apr 06 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230407013850.e1e7eeb
- Update patches
- Do not add bracket for IPv6 addresses in no_proxy

* Thu Apr 06 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230407003839.0cdddae
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Do not add bracket for IPv6 addresses in no_proxy (rhbz#2180677)

* Wed Mar 29 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230330015028.0cdddae
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Read stack output to get AdminPassword
- remove unused tripleo-common dep form nova-scheduler.
- Set workers to 1

* Mon Mar 27 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230327143938.5fc8ba5
- Remove workaround for nettle on tcib base image

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230322225927.5fc8ba5
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- [FIPS] Install nettle-3.8-3.el9 in tcib base container

* Thu Feb 23 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230223224244.d447618
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- TCIB: Add cinder-backup extend_start.sh script

* Thu Feb 09 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230210013905.3d4f143
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- FFWD3: Resolve deployment error with become

* Thu Jan 19 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230119223841.4e21638
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Export default location of password file

* Mon Jan 09 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230109233756.d99ca7b
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove sysfsutils from nova container

* Fri Jan 06 2023 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20230106153946.8a72ca1
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Adapt to tox 4.x

* Sat Dec 17 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221218004035.13d2a62
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove centos8 wallaby jobs from zuul layouts
- Align tss user config with qemu and nova use cases

* Thu Dec 08 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221208234222.2b4008b
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- By default, unset everything proxy related for healthcheck

* Wed Nov 30 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221201004618.a1cf83e
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Define container image used by GlanceApiInternal service
- Fix token cache expires_at check

* Mon Nov 28 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221129003846.3f74758
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Use net=host with buildah bud
- Stop downgrading pacemaker

* Thu Nov 24 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221124115021.3347888
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Support ansible inventory merging
- Add TRIPLEO_KOLLA_UMASK for custom umask settings

* Sat Nov 19 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221120004958.868af68
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- overcloudrc: Replace OS_CLOUDNAME by OS_CLOUD

* Thu Nov 17 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221118013829.4bd4da4
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Pull flake8 from Github

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221102033608.33282be
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add Python MySQL drivers to the horizon container

* Fri Oct 28 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221029014407.c169beb
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- tripleo-mount-image: replace most lsblk calls with blkid

* Tue Oct 25 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221025085832.a8e39db
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add chroot support to tripleo-mount-image
- Support standard partition type GUIDs
- Support multiple mounts without explicit nbd devices
- Auto-detect partition types for mounting more images

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221021134708.aeffa94
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Derive parameters clean up
- Update ovmf-amdsev from ovmf-cc to boot UEFI VMs
- Add dependency for container healthcheck script

* Wed Oct 05 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221005153721.8cd2450
- Update patches

* Wed Oct 05 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20221005123712.8cd2450
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add excluded group to inventory

* Tue Sep 20 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220920094118.adcebc9
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults

* Mon Sep 12 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220912114732.adcebc9
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Update UNDERCLOUD_SERVICES list to reflect current undercloud services

* Tue Sep 06 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220906195754.91c1719
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Clustercheck healthcheck with socat and ipv6

* Tue Aug 30 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220830134448.b480407
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Drop ctlplane from role_networks ansible var

* Tue Aug 02 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220802085754.f3ac1d0
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix ImageBuildManager initialization after BaseImageManager changes

* Mon Aug 01 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220801094001.9e66a79
- Fix ImageBuildManager initialization after BaseImageManager changes

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220728041757.9e66a79
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220727211229.9e66a79
- Add element reset-bls-entries to overcloud images (rhbz#2073855)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults

* Sun Jul 24 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220725001449.9e66a79
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- New dedicated user for Galera SST synchronization
- Split off Ceph related container images

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-1.20220718124855.4450e73
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add element reset-bls-entries to overcloud images
- build_catalog should loop deeper than one level
- Reduce memory consumption in Cinder services
- Downgrade pacemaker and resource-agents
- Moves the shared zuul queue tripleo to the project level
- Add rsync-daemon to swift container
- Drop python3-networking-vmware-nsx from base neutron image
- Drop collectd-dbi from collectd base container
- Remove python-collectd-gnocchi from the image
- Update ceph daemon image pull registry

* Mon May 23 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220523111824.80cfbee
- Update patches
- Add the dbus-tools package to manila-share image

* Wed May 18 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220518232640.bed57eb
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add the dbus-tools package to manila-share image

* Mon May 16 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220516141831.bed57eb
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Move the ceph monitoring stack containers to quay.io

* Tue May 10 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220510162343.855dcd5
- Add element reset-bls-entries to overcloud images (rhbz#2073855)

* Mon May 09 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220509142253.855dcd5
- Update patches

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220506223054.855dcd5
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove tripleo-build-containers-jobs template from zuul layout
- Switch from grub2 to bootloader element for overcloud-full

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220428004526.f6181ad
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add TypeError exception when parsing addresses
- Add _create_overcloudrc_from_outputs
- Remove tftp healthcheck from ironic-pxe image

* Mon Mar 28 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220328132104.0c754c6
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Run the ovn-bgp-agent with user ovn-bgp instead of neutron
- ovn-bgp-agent image support

* Thu Mar 24 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220324051841.1a93f69
- Update patches

* Fri Mar 18 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220318193351.1a93f69
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Bump Ceph container daemons to v6.0.7
- Remove rhel specific packages for ironic-conductor

* Wed Mar 16 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220316122257.3db8093
- Update Ceph container images to Ceph5 (rhbz#2064609)

* Mon Mar 14 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220314142325.3db8093
- Remove rhel specific packages for ironic-conductor (rhbz#2060886)

* Sun Mar 06 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220307005139.3db8093
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Reinstall centos-stream-release from centos repos

* Mon Feb 28 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220228221850.2942989
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Adds c9 content provider and image builds for wallaby

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220224231941.301b6b8
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- HA: do not rotate cluster passwords

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220218004054.7ad6fd5
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Ensure failures on the undercloud leads to a complete stop
- [Wallaby-Only] remove remove-machine-id element

* Fri Feb 11 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220212002359.ce8b731
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix reference to undefined variables when heat-config times out

* Fri Feb 04 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220205002244.afb6de6
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Don't install openstack-selinux in containers

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220126222239.dfdecba
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- remove remove-machine-id element

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220122225924.fc7e7c0
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add configs for RHEL 9 image
- fixup if guard for tcib_release
- Base container - Fix bash condition for rhel case

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220115001852.adb4f1a
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Don't enable module stream in rhel9
- Remove libcgroup-tools from libvirt container

* Tue Jan 11 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220111161848.cb0524a
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Do not fail if initiatorname.iscsi does not exist
- Remove memcachec from containers
- Tidy up config image declarations
- Add an API config image heat variable
- Add designate dashboard to the horizon container
- Remove redhat-release only if installed
- Remove /etc/yum.repos.d/ubi.repo
- Add configs for CentOS 9 image

* Tue Jan 04 2022 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20220104141848.246e19d
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Bump Ceph container daemons to v6.0.6
- Update tcib for CentOS Stream 9
- Add tempest to sudoers for tempest container image
- Stop creating manifest .htaccess

* Fri Nov 26 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20211127002829.9bc4f2b
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Removing erlang-hipe

* Sat Nov 20 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20211121001853.93269dc
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Running ansible-config before writing default config

* Thu Nov 18 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20211119002953.a781abb
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Disable ubi repos during container builds
- Fix namespace-less containers in image-serve
- Fix permissions for deployments

* Tue Nov 16 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20211117001857.87c6a1a
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Deactivate LV's before disconnecting nbd device

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20211113003738.e738cd0
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- [EL8] Add nodejs:14 module stream

* Wed Nov 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20211104003140.59651b0
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Trivial: fix conditional whitespace

* Tue Nov 02 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20211102221948.b997e0e
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add apache to the designate api container

* Mon Nov 01 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20211102001918.c404125
- Update patches

* Fri Oct 29 2021 OSP Prod Chain <dev-null@redhat.com> 15.4.1-0.20211030001911.c404125
- Update patches

* Fri Oct 22 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20211023003018.c404125
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix the help output for tripleo-mount-image
- Add ipa client to tripleoclient container

* Thu Oct 21 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20211022003047.146bb26
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- add kernel-modules-extra in overcloud image needed for HWOL

* Wed Oct 20 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20211020075703.c5d4284
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add scripts tripleo-mount-image, tripleo-unmount-image
- Remove unused constants for Mistral workflows/actions
- Remove unused DEFAULT_DEPLOY_*_NAME

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20211016005818.a07e59e
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove unused TRIPLEO_NETWORK_CONFIG_RESOURCE
- Remove unused DEPLOYMENT_STATUS_FILE
- Remove unused constants for TripleO UI
- [c9] replacing genisoimage with xorriso
- inventory.py: all_get_neutron_data to handle 404

* Wed Oct 13 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20211013075618.4906c20
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove zaqar

* Mon Oct 11 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20211011080726.93bd4e1
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Revert "Allow for OCI manifests""
- Remove tftp-server package from ironic-pxe container
- Removal mistral
- Shrink whole disk image from 40G to 6G

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20211007001947.febd29b
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix awk expression

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20211003004555.b089c55
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Align swtpm packages for nova-libvirt/compute
- Add missing ipa images to overcloud-hardened-images-uefi

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210929003716.6109c05
- Update patches

* Fri Sep 17 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210918001833.6109c05
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove /etc/rabbitmq/rabbitmq.conf

* Sat Sep 11 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210912002302.f124c39
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add security_reset.expect.10.5 from kolla for mariadb>10.5

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210909161836.4d8cf39
- [DOWNSTREAM-ONLY] Fix tripleoclient and tempest containers (rhbz#1972865)

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210908231834.4d8cf39
- Update patches

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210908221841.4d8cf39
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Re-add tripleoclient and tempest container

* Sat Sep 04 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210905002705.06e105a
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add dnsmasq to ironic-pxe container

* Fri Aug 27 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210828002959.7a51e01
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Install Neutron BGPVPN in neutron-server

* Thu Aug 26 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210827001814.b6a546d
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix upload-artifacts and its installation

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210825161812.33d3a11
- [DOWNSTREAM-Only] Switch to rhel9 defaults (rhbz#1972865)

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210825081815.33d3a11
- Update patches

* Mon Aug 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210823083529.33d3a11
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Bump Ceph container daemons to v6.0.4
- Remove now useless sudo call for port check

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210818020139.d4ae46b
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Replace upgrades template when providers run again

* Fri Aug 13 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.1-0.20210813231808.963c55b
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove redhat-release package from UBI8 image

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 15.3.0-0.20210719224016.6f0fe22
- Update patches

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.2-0.20210714224827.6f0fe22
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Wire up the tripleo-upgrades-wallaby-pipeline

* Sat Jul 10 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.2-0.20210710222825.6318023
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove ironic-inspector dnsmasq healthcheck

* Fri Jul 09 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.2-0.20210709221811.8e95b04
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add missing IPv6 support for healthcheck_port

* Sat Jul 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.2-0.20210703222728.bbb5f3d
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- directly use files instread of tcib_gather_files

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.2-0.20210702221941.d6b4933
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Rename hieradata_files result var

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.2-0.20210628224036.2778012
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Make sure Heat Ephemeral has images prepared
- Refactor enabled_services for roles
- Cleanup OS_CLOUD env var for ephemeral heat

* Thu Jun 17 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.2-0.20210617084808.31468f2
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- [Wallaby-only] Update default container namespace for wallaby

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.2-0.20210612073030.6041b23
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Move rabbitmq healthcheck to something more modern
- Remove references to tripleo-validations legacy directory

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.1-0.20210609222943.d39a328
- Update patches

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.1-0.20210607094452.d39a328
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove xinetd from the mariadb container
- Fix config parsing in memcached healthcheck
- Make the clustercheck healthcheck work with socat
- Ignore OVN Bridge MAC net for inventory generation

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.1-0.20210603223830.a1499e3
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Disable neutron inventory src if no ctlplane ports
- Ignore non host ports by tag filtering
- Fix site-packages in horizon's extend_start.sh
- Strip final dot of the fqdn hostname and dnsname

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.1-0.20210528133120.0a7cfe3
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.1-0.20210523161116.0a7cfe3
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Skip port if it's on the OVN MAC Net

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.0-0.20210513080802.8ed7631
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 15.2.0-0.20210513074318.8ed7631
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add rhosp-release rpm in rhel images
- Add interface-names to overcloud-hardened-images-uefi-rhel8
- Remove Keepalived service
- Update artifact tooling for swiftless underclouds
- Also catch keystoneauth1.exceptions.catalog.EndpointNotFound
- Drop SkopeoImageUploader
- Remove rhel7/centos7 image yaml
- Revert "Include both Ceph Octopus and Pacific in the content provider"
- Include both Ceph Octopus and Pacific in the content provider
- Add Redfish properties when enrolling with 'idrac'
- Add utils for local_orchestration_client
- Update TOX_CONSTRAINTS_FILE for stable/wallaby

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210428181831.92e325b
- Update patches

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210428174406.92e325b
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Update .gitreview for stable/wallaby

* Tue Apr 27 2021 OSP Prod Chain <dev-null@redhat.com> 15.0.1-0.20210427081334.9b58bb0
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix neutron driver detection for containers params
- Bump Ceph containers to Pacific
- healthcheck_port: drop lsof in favor of awk/find
- Don't use tripleo_hostname tag
- Don't install dhcp-all-interfaces for redhat 8 onwards

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Update defaults for rhel modules in container base
- exclude redhat-release from yum update in openstack-base
- Add ceph-ansible to tripleoclient container
- container-images: fix Cinder when running at Edge
- Use quay.ceph.io to pull the Ceph Dashboard related images
- Switch to tripleo namespace grafana images
- Extend ansible inventory from network config file
- Extend network info in generated inventory
- Don't allow rotating keys if stack not found

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Addressed more pylint issues
- Don't allow rotation of HeatAuthEncryptionKey
- Add passwords_env parameter to generate_passwords
- Add support for py39

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove glance related utility methods
- Cleanup utils 2/2
- Don't require heat client for generate_passwords

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Removing tempest container build
- Ensure ansible.log accesses are locked
- Cleanup utils 1/2
- Drop swift cruft from config-download
- Removes unneeded zuul layout overrides - templates for consistency
- Remove all mistral actions from tripleo-common

* Fri Mar 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Convert AnsiblePlaybookAction to utility

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add 'session' to generate inventory method

* Tue Mar 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove layout override and wire up buildimage template instead
- Inventory from neutron resources

* Sat Feb 27 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Drop inject_facts_as_vars
- Do not use ironic/nova for generate_fencing

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix fact definition for deployments
- Bring back custom nova filters for undercloud
- Reduce fact gathering
- Remove mistral arg from generate_passwords
- Add python3-pymemcache to tcib

* Sat Feb 20 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Cleanup dead mistral actions and workbooks

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add cloud-admin user to tripleoclient container

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add SITE_PACKAGES variable to horizon extend_start

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add healthcheck to the frr image
- Removed broken mocked params
- Handle containers without a namespace

* Mon Feb 08 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Bump Ceph containers to octopus

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Frr image support

* Wed Feb 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add an internal index to network_data

* Tue Feb 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Document healthcheck and container build issues
- Revert "Revert "Fix a couple of Swift healthchecks""

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix uc install, Undercloud role must overwrite
- Don't use swift plan for existing passwords
- Fix placement endpoint check when endpoints are not set
- Add host_vars to define tasks executed before network configurations
- Use the new IPA-builder element for installing python-hardware

* Sun Jan 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Conditionally use python instead of cURL

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Check existence of expires_in for auth
- Re-factor inventory.py use setdefault pervasively

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Drop stack_update function

* Wed Jan 20 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix W1201 - logging-not-lazy
- Add missing parentheses
- Drop parameter caching

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Move daxio package to be arch specific
- pylint: fixed conditions

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM ONLY] Fix registry namespace for Unbound container (rhbz#1891150)

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Create a container for Unbound DNS resolver
- Switch gnocchi-statsd HC to healthcheck_port
- Add extra debug/profiling in buildah debug mode

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- TCIB: Add cinder-volume extend_start.sh script

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- pylint: fixed logging

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add doc/requirements
- Wire up new tripleo upgrades jobs template
- TCIB: Fix debug mode for oslo process execute
- Raise error when old network config templates are used

* Mon Jan 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Removed ubi-8 based jobs"

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Fix a couple of Swift healthchecks"
- Fix a couple of Swift healthchecks
- Enable pylint
- Fix ImportWarning during importing a module
- Change retry logic on buildah build
- Add daxio package for nvdimm scenario
- Fix localization for horizon container

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- The lower constraint file has been removed
- Cleanup and add test coverage for inventory without overcloud

* Fri Dec 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Switch defaults to quay.io
- config-download: allow get_overcloud_config() to run without Swift

* Wed Dec 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix handling of default_tag
- TCIB: Pick not best when building on centos/ubi

* Sat Nov 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix --log-level=debug for buildah

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Change qemu user id to match previous releases
- Re-add ndctl to nova-compute image
- Add better exception logging for builds
- Add missing ComputeNeutronMetadataAgent service into tripleo_containers.yaml.j2.

* Tue Nov 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix wait condition for retry

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Removed ubi-8 based jobs
- Drop --layers from buildah
- Add heat-engine healthcheck

* Sat Nov 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Refactor buildah logging

* Fri Nov 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add retry to build

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Automatically set tag's based on role names
- Lower ansible poll interval time

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to content provider jobs/templates
- Add ComputeNeutronl3Agent link to neutron-l3-agent container image

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add both validations path for inflight validation

* Mon Oct 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Handle None config for networkConfig
- Use the new IPA-builder element for installing python-hardware

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove pull NetworkConfig from node-level

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Improve bearer auth handling

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Get NetworkConfig from RoleNetworkConfigMap
- Include swtpm in the nova_libvirt container
- Don't render NetworkConfig for every node
- Lower default verbosity for ansible
- Also treat config as json(dict)
- Adjust Ansible forks caculations
- Add collectd-libpod-stats to image
- Remove remaining implementations for OpenDaylight

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Consume ceph, prom, grafana containers from quay.io
- Move get network configs action to utils
- Add --log-level debug for buildah builder

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Update container build to better reign in threads
- Run tripleo-build-containers-ubi-8 on BuildahBuilder code
- Fix lower-constraints errors

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Replace cradox with rados

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container-images/tripleo_containers.yaml

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove the base layers
- TCIB: remove leftovers from sahara
- Remove unused sensu-client healthcheck
- Remove Kolla overrides
- Make current user owner of build log files
- Support basic auth for image registry
- Add --layers for tcib image layer caching

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Stop configuring install_command in tox.
- Add neutron-mlnx-agent container image
- Switch default container prefix to openstack

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove healthcheck/tacker
- Include virt-admin in the nova_libvirt container
- Remove tripleo-container-image-prepare script
- Remove sahara-* from list in tripleo_containers.yaml
- Remove overcloud_containers.yaml

* Sat Aug 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix config parser warning

* Sat Aug 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to tripleo_containers.yaml
- Restore default log path for image prepare

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add modify_only_with_source

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Ensure atomic inventory file rename runs on the same mountpoint

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- TCIB: move RHEL modules into base image

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Adding back overcloud-secure as it removes unsafe packages
- tcib: rename kolla_version to tcib_managed

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- (backward compatibility) create kolla UIDs/GIDs for TCIB

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Make build_timeout configurable

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove check for ./puppet/services when filtering services

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Don't build image upload tasks when dry_run=True

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Ensure image files are readable to apache

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Correct the inventory generation

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add a real-time kernel hardened images for python3

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Ensure tripleo ansible inventory file update is atomic

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add exponential backoff to ratelimited requests

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Change default DHCP timeout for ironic-python-agent

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Stop doing tag_from_label lookup with tag
- Reduce workers for label lookups

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove translation sections from setup.cfg

* Sat Aug 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Revert "Remove chunk size for url stream""
- Handle redirects for blobs better

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Switch 55-heat-config to async
- container-images: add librados2 to gnocchi-base

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Generate a play per step for external_deploy_tasks
- config-download remove role arg from _write_tasks_per_step()
- Replace overcloud-secure with overcloud-partition

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Properly collect tasks with or conditional in step file.
- Add update and post update tasks to step generated file.
- Add a strict option to per role tasks file generation.

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- First pass at script cleanup

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Remove chunk size for url stream"

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Retry fetching {{ deployment_uuid }}.notify.json file

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- ansible: limit_hosts now takes precedence over blacklisted_hostnames
- TCIB: add python3-pynacl to mariadb image
- TCIB: bump ceph image to align with kolla images
- Don't assume default tag exists in container repo
- image_uploader: switch stdout_callback to tripleo_dense

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- TCIB: add etcd user to the kolla group
- Switch tripleo-cross-tripleoclient to python 3.7

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Relax filter_images_with_labels() and re-add kolla_version

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove the duplicated entry of designate-base

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- (TCIB) Remove validation related things from mistral container

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add tripleo_states to default callback whitelist

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Catch exception if servers are in error state with no bm_node attached

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix OVN Octavia provider driver package name

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Drop systemd support from nsswitch.conf
- tcib: move cradox to gnocchi-base & enable ci on scenario001
- Run standalone jobs with locally built images
- Fix stdout_callback

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- [Q->T] Include manila in the Queens to Train Upgrade

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Set undercloud ansible_connection to local

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Ensure lanplus is unset when using redfish
- Remove Validations Mistral Workflows

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Revert "Remove config-download related mistral actions""
- Implement tripleo-cross-tripleoclient-py38
- Run tripleo-build-containers-ubi-8 under specific conditions

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add ensure_global_symlinks: true

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Remove config-download related mistral actions"

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove config-download related mistral actions
- Remove AnsibleGenerateInventoryAction mistal action

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add interface-names to Rhel8 images

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove tripleoclient container

* Sat Jun 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- tcib/ceilometer-base: remove panko dependency

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to newer openstackdocstheme and reno versions

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Add kolla template override to remove python3-networking-mlnx"

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Implement a new Container Images layout

* Sat May 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to tripleo_dense

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix nova-virtlogd container healthcheck

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to tripleo stdout callback

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Strictly check pm_type string

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Do not rotate CephX secrets

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add support for python 3.8

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add Python3 victoria unit tests

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Change generate_ansible_inventory() arguments

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Update master for stable/ussuri

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Switch container locations

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add Octavia use of the rsyslog image

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix dry-run for "remote copy deployment file" task
- Bump grafana container to 5.4.3 tag
- Remove unnecessary Ceph{Admin,Mon,Mds}Key constants
- Remove tripleo.deployment.overcloudrc action

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Use unittest.mock instead of third party mock

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Enhance error messages when building containers
- Do not disable RabbitMQ and OpsTools repos.

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove container-update.py

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Jinja2 raise extension

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove validation related things from mistral container
- Bump ceph/daemon container image to v4.0.12

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- linters refresh w/ afferent bugfixes

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- builder/buildah: use tenacity to retry failing pushes

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Enable centos-release-opstools repo for centos-8

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- buildah: allow images without type

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) remove workaround for ceilometermiddleware on python3
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- buildah: exclude build and push, not only build

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Switch fact caching connection

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat May 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove some unsed actions
- Remove access.yaml workbook
- Remove octavia_post.yaml workbook

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- buildah: allow to exclude images from build

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add kolla template override to remove python3-networking-mlnx

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- buildah: allow to bind mount volumes when image build

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- image/builder/buildah: support Containerfile

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Refactor ansible inventory generation

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) Drop python3-networking-mlnx package not shipped in OSP (rhbz#1828353)
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove swift_ring_rebalance.yaml workbook

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove baremetal_deploy.* action entrypoints

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove GetDeploymentFailuresAction
- Move *OvercloudConfigAction functionality to utils
- Move OvercloudRcAction functionality to utils

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove DeploymentStatusAction

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix "import xx as xx"

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix deployments playbook to work in check mode

* Sun Apr 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Only add non-empty blacklisted hostnames.

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Use a full string match for container images

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Cleanup py27 support

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Use healthcheck_port for ironic_inspector_dnsmasq healthcheck

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- utils/config: allows a when to have boolean conditions

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove invalid mistral envocation and references

* Sat Apr 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- mariadb: add pynacl dependency to support ed25519

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Include uc plan var when TripleoInventories contains a single plan

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert "Revert removal of OrchestrationDeployAction"

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Fix multistack inventory

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Preserve existing placement password during extraction

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove GenerateFencingParametersAction and CreateContainerAction

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove PrepareContainerImage* Actions
- Remove scale and stack related workflows and actions

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove baremetal deploy workflows and actions

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Allow ansible_group_vars to be overriden by RoleGroupVars

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Switch to yaml.safe_load

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add missing image yaml for centos 8
- Prevent duplicated hosts in overcloudrc no_proxy

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Bump grafana container to ceph4-rhel8
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- remove py27 from tox.ini
- Move ListRolesAction functionality to utils

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- clean up tripleo-common zuul layout, remove centos-7

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Revert removal of OrchestrationDeployAction

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Match hostname when doing node delete

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove mistral dependency for password generation completely
- Remove unused support.yaml workbook
- Remove deployment workbook and some unused actions

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Set scp_if_ssh to True in ansible.cfg
- Return None image client when no glance endpoint
- Fix placement dependencies to work with mysql's ed25519

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove swift_backup workbook and some related actions
- Remove plan_management workflows and unused actions

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- (DOWNSTREAM-ONLY) add python3-pyngus for ceilometer notifiacation agent (rhbz#1791364)
- (DOWNSTREAM-ONLY) drop sahara-ui from horizon packages
- (DOWNSTREAM-ONLY) drop panko from ceilometer-base kolla image (rhbz#1747931)
- (DOWNSTREAM-ONLY) Drop packages not shipped in OSP (rhbz#1687850)
- (DOWNSTREAM-ONLY) exclude neutron-vpn-agent for l3-container (rhbz#1567142)
- (DOWNSTREAM-ONLY) ironic-conductor - Add pkgs for RHV integration (rhbz#1683746)
- [DOWNSTREAM-ONLY] drop Sahara containers (rhbz#1730233)
- [DOWNSTREAM-ONLY] exclude fluentd gem plugins (rhbz#1452433)
- [DOWNSTREAM-ONLY] remove horizon ui packages we don't ship
- [DOWNSTREAM-ONLY] Downstream repo and package install blocks
- [DOWNSTREAM-ONLY] set tag_from_label to {version}-{release} (rhbz#1607627)
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Disable fact gathering for create_admin

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- config-download timeout should KILL the process.

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Add mistral workflow module path to mistral ansible config

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Refactor registry request actions
- Add libcgroup-tools to libvirt container
- Improve authentication retries for slow transfers
- Remove mistral from the snmp password function
- Move DeployStackAction functionality to utils
- Handle race for the already existing layer
- Use unversioned RHEL element w/ RHEL8
- Change how we test for call
- Pass container name to prune_unused_services
- Move swift tempurl creation functionality to utils
- Add interface-names to centos8 images
- Remove skydive support
- Move UploadTemplatesAction functionality to utils
- Move PrepareContainerImageEnv functionality to utils
- [Q->T] Introduce Queens to Train Upgrade
- Remove get_passwords workflow and related action
- Remove unused password and fernet rotation actions and workflows

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Use unversioned RHEL element w/ RHEL8
- Change how we test for call
- Pass container name to prune_unused_services
- Move swift tempurl creation functionality to utils
- Add interface-names to centos8 images
- Remove skydive support
- Move UploadTemplatesAction functionality to utils
- Move PrepareContainerImageEnv functionality to utils
- [Q->T] Introduce Queens to Train Upgrade
- Remove get_passwords workflow and related action
- Remove unused password and fernet rotation actions and workflows
- Use unversioned RHEL element w/ RHEL8
- Change how we test for call
- Pass container name to prune_unused_services
- Move swift tempurl creation functionality to utils
- Add interface-names to centos8 images
- Remove skydive support
- Move UploadTemplatesAction functionality to utils
- Move PrepareContainerImageEnv functionality to utils
- [Q->T] Introduce Queens to Train Upgrade
- Remove get_passwords workflow and related action
- Remove unused password and fernet rotation actions and workflows

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Use unversioned RHEL element w/ RHEL8

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Move swift tempurl creation functionality to utils

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Move UploadTemplatesAction functionality to utils
- Move PrepareContainerImageEnv functionality to utils

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Remove get_passwords workflow and related action
- Remove unused password and fernet rotation actions and workflows

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Update container_image_prepare_defaults.yaml for distribution defaults
- Change how we test for call

* Sat Mar 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pass container name to prune_unused_services

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [Q->T] Introduce Queens to Train Upgrade

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove skydive support

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add interface-names to centos8 images

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump ceph/daemon container image to v4.0.10

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move GeneratePasswordsAction functionality to utils
- Add overcloud-ceph image build yaml

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove discover_nodes workflows

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix upload-swift-artifacts handling of json data

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- test_kolla_builder: make tests invariant to default data

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move RotateFernetKeysAction functionality to utils
- Remove tripleo.skydive_ansible.v1 workbook
- Remove package_update workbook

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update jobs to centos-8

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- replace centos-7 with centos-8 in scenario jobs

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- deployment: set DeployIdentifier to '' if --skip-deploy-identifier is used

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix memcached healthcheck regression

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the undercloud backup workflow and actions

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move generate_fencing_parameters functionality to utils
- Move parameter actions functionality to utils - Part 1/2

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Modify roles to remove unused services

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove upload_validations workflow and related action

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move package_update worflow related functionality to utils
- Added overcloud images yaml for CentOS-8

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use config for layers

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not create temporary swift URLS for ceph-ansible

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move away from "ss" and drop default verbose mode
- Move plan container creation to utils
- Improve upload-swift-artifacts handling of json data
- Bracket IPv6 address in ironic_inspector healthcheck

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Feb 25 2020 Jon Schlueter <jschluet@redhat.com> 12.1.1-0.20200224151936.bbb3d19
- fix broken Requires

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove capabilities-map.yaml related checks from plan workflows

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set PROFILE_TASKS_TASK_OUTPUT_LIMIT

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve step task check to cater for whitespace
- Remove tripleo.deployment.convert_status action
- Always convert to docker media format

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move process template functionality to utils

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make healthchecks more strict

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove container_image_prepare_default workflow

* Sat Feb 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused tripleo.networks.v1 workbook

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- pin ironicclient under 4.0.0 for py27
- Remove heat_capabilities action plugin
- Remove workbook related to plan environment

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixes for CentOS8 containers build
- Define all api versions in constraints
- Remove useless parameters from overcloudrc

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_role_networks to inventory role group vars

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tests: Get RoleData correctly

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove py27 tox job

* Sat Feb 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Make healthchecks more strict""
- Revert "Make healthchecks more strict"

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Tune ansible configuration for better performance

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Raise exception on KeyboardInterrupt"
- Merge "Make healthchecks more strict"
- Merge "Add config_download_args to the deployment workflow."
- Raise exception on KeyboardInterrupt
- Add config_download_args to the deployment workflow.
- Make healthchecks more strict

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Force docker format

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Drop the nuetron-server-ovn and odl images"
- Drop the nuetron-server-ovn and odl images

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "container_update: Retry removing containers."
- container_update: Retry removing containers.

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Dynamically set the number of Ansible forks."
- Dynamically set the number of Ansible forks.

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Improve error messaging around auth failures"
- Improve error messaging around auth failures

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Handle stack not found during inventory generation"
- Merge "Image uploader: use HTTPS for "no verify" registries"
- Merge "Clarify introspection failed attempt log message"
- Merge "Derive new nova compute parameters"
- Image uploader: use HTTPS for "no verify" registries
- Handle stack not found during inventory generation
- Derive new nova compute parameters
- Clarify introspection failed attempt log message

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "image_uploader (attempt #3): fix images upload with no labels"
- image_uploader (attempt #3): fix images upload with no labels

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Derive network config fails"
- Derive network config fails

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enforce 0600 permissions on an existing SSH private key file."
- Enforce 0600 permissions on an existing SSH private key file.

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused container images

* Sun Jan 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove the tripleo.ansible action"
- Remove the tripleo.ansible action

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update template overrides for rabbitmq"
- Merge "Remove checking for already running config_download_deploy"
- Remove checking for already running config_download_deploy
- Update template overrides for rabbitmq

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "More docs for image uploader class methods"
- More docs for image uploader class methods

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "image_uploader/base handle when an image has null labels"
- image_uploader/base handle when an image has null labels

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- workbooks/deployment: ignore uuid to hostname errors with splitstack & nova-less

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Default to 50 Ansible forks."
- Default to 50 Ansible forks.

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "add and unify the retries when messages are published to swift"
- Merge "Add container images for DCN/Edge deployments"
- add and unify the retries when messages are published to swift
- Add container images for DCN/Edge deployments

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "image_uploader: handle when an image has null labels"
- image_uploader: handle when an image has null labels

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix quoting for PYTHONWARNINGS

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Change the python interpreter discovery mode."
- Change the python interpreter discovery mode.

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Using API instead yaql to get manageable nodes"
- Using API instead yaql to get manageable nodes

* Thu Dec 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Bump ceph/daemon container image to v4.0.8"
- Bump ceph/daemon container image to v4.0.8

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Added support of overcloud os_cloud""
- Revert "Added support of overcloud os_cloud"

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Write ansible log content to a different log file"
- Write ansible log content to a different log file

* Sat Dec 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Increase randomness of generated CephFSID"
- Increase randomness of generated CephFSID

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "image-uploader: allow an image without Labels to be uploaded"
- Merge "Ensure blacklisted nodes are not included in server_names"
- image-uploader: allow an image without Labels to be uploaded
- Ensure blacklisted nodes are not included in server_names

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make ()'s around step|int optional"
- Make ()'s around step|int optional

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- actions/ansible: catch errors when cleaning the work directory

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Incorrectly derives NeutronPhysnetNUMANodesMapping"
- Incorrectly derives NeutronPhysnetNUMANodesMapping

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove workdir only if it's a temporary one"
- Merge "Add horizon health check"
- Remove workdir only if it's a temporary one
- Add horizon health check

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix ironic-pxe container healthcheck"
- Fix ironic-pxe container healthcheck

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add deploy_steps_tasks to PER_TASK_STEPS"
- Merge "Revert "Update hostvars lookup to fix regression""
- Add deploy_steps_tasks to PER_TASK_STEPS
- Revert "Update hostvars lookup to fix regression"

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "OvS DPDK parameters failing in NIC Partitioning"
- Merge "config: refactor how per step tasks are generated"
- config: refactor how per step tasks are generated
- OvS DPDK parameters failing in NIC Partitioning

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Pass container_config to config actions"
- Pass container_config to config actions

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add RootStackName parameter on stack update"
- Merge "Quote output values for overcloudrc"
- Quote output values for overcloudrc
- Update hostvars lookup to fix regression
- Add RootStackName parameter on stack update

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Provide container name when raising exceptions"
- Provide container name when raising exceptions

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add healthcheck for nova-virtlogd container"
- Add healthcheck for nova-virtlogd container

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Escape invalid JSON characters during deployment."
- Escape invalid JSON characters during deployment.

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ignore blacklisted nodes when rendering network config

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make upload workers faster on processing layers"
- Make upload workers faster on processing layers

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Improve error reporting for not_done jobs in buildah"
- Improve error reporting for not_done jobs in buildah

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Revert "Improve Swift healthchecks"""
- Revert "Revert "Improve Swift healthchecks""

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use the Mistral directory for storing the Ansible fact cache."
- Merge "Revert "Improve Swift healthchecks""
- Revert "Improve Swift healthchecks"
- Use the Mistral directory for storing the Ansible fact cache.

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Pin ceph dashboard containers on a specific tag"
- Pin ceph dashboard containers on a specific tag

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "kolla/overrides: add missing healthcheck for ironic-neutron-agent"
- kolla/overrides: add missing healthcheck for ironic-neutron-agent

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Clean up instance defaults setting"
- Clean up instance defaults setting

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve Swift healthchecks

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Set display_skipped_host to no""
- Revert "Set display_skipped_host to no"

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Re-raise same exception type in export_stream"
- Re-raise same exception type in export_stream

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Stop logging manifest in debug"
- Stop logging manifest in debug

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tox: Keeping going with docs"
- tox: Keeping going with docs

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Split the action logic from the run method"
- Split the action logic from the run method
- Fix ceilometer_agent_compute health check

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Raise correct exception when worker fails

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Adjust base_centos_yum_repo_packages for master"
- Adjust base_centos_yum_repo_packages for master

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Ussuri jobs

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Handle IPv6 addresses in ironic_pxe_tftp healthcheck"
- Handle IPv6 addresses in ironic_pxe_tftp healthcheck

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update master for stable/train"
- Update master for stable/train

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing lock"
- Fix missing lock

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add a healthcheck for ironic-neutron-agent"
- Add a healthcheck for ironic-neutron-agent

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Reset *RemovalPoliciesMode for node delete"
- Reset *RemovalPoliciesMode for node delete

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "get_undercloud_registry() - Default to: 'localhost:8787'"
- get_undercloud_registry() - Default to: 'localhost:8787'

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix etcd healthcheck"
- Fix etcd healthcheck

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix py3 issue in get_undercloud_registry()"
- Fix py3 issue in get_undercloud_registry()
- fix linters

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use port 547 for dhcpv6 healthchecks when using IPv6

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Do not repeat setting defaults for image layers"
- Do not repeat setting defaults for image layers

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add OS_COMPUTE_API_VERSION to overcloudrc"
- Add OS_COMPUTE_API_VERSION to overcloudrc

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- fix linters

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Get undercloud name in get_undercloud_registry()"
- Get undercloud name in get_undercloud_registry()

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Bump ceph/daemon container image to v4.0.4"
- Bump ceph/daemon container image to v4.0.4

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix dynamic executor appending to objects"
- Fix dynamic executor appending to objects

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove Trove password constant"
- Merge "Remove tacker container code"
- Merge "Cleanup override file"
- Merge "Migrate building IPA to ironic-python-agent-builder"
- Remove Trove password constant
- Remove tacker container code
- Cleanup override file
- Migrate building IPA to ironic-python-agent-builder

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix error in parsing nic config with duplicate quotes"
- Fix error in parsing nic config with duplicate quotes

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Officially deprecate the skopeo image uploader"
- Officially deprecate the skopeo image uploader

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make executor type dynamic
- Use tenancity to backoff when layer is locked
- Properly catch exceptions when locking a layer

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improving debug logging

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Prefix ansible output with timestamps"
- Prefix ansible output with timestamps

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Raise exception when no IPs found"
- Raise exception when no IPs found

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make gitpython and eventlet work with eventlet 0.25.1"
- Make gitpython and eventlet work with eventlet 0.25.1
- Implement Ansible fact cache for Mistral executor
